%global prerelease 3
%global beta beta
%global drupaldir %{_datadir}/drupal6
Name: drupal6-job_scheduler
Version:  1.0
Release:  0.1.%{beta}%{prerelease}%{?dist}
Summary:  Simple API for scheduling tasks

Group: Applications/Publishing
License: GPLv2
URL: http://drupal.org/project/scheduler
Source0: http://ftp.drupal.org/files/projects/job_scheduler-6.x-1.0-beta3.tar.gz
Source1: drupal6-job_scheduler-fedora-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: drupal6 >= 6.0, php >= 5.2

%description
Simple API for scheduling tasks once at a predetermined time
or periodically at a fixed interval.

%prep

%setup -qn job_scheduler

%build

chmod -x job_scheduler.module
cp %{SOURCE1} .

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/job_scheduler
cp -pr * %{buildroot}%{drupaldir}/modules/job_scheduler

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt drupal6-job_scheduler-fedora-README.txt CHANGELOG.txt
%exclude %{drupaldir}/modules/job_scheduler/CHANGELOG.txt
%exclude %{drupaldir}/modules/job_scheduler/LICENSE.txt
%exclude %{drupaldir}/modules/job_scheduler/README.txt
%exclude %{drupaldir}/modules/job_scheduler/drupal6-job_scheduler-fedora-README.txt
%{drupaldir}/modules/job_scheduler

%changelog
* Sun Dec 19 2010 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.1.beta3
- Initial packaging.
